commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Henning P. Schmiedehausen" <...@intermeta.de>
Subject Re: [lang] 1.2 vs 1.4 Was: [lang] Words - for 2.0
Date Sun, 17 Aug 2003 17:55:10 GMT
"Phil Steitz" <phil@steitz.com> writes:

>Stephen Colebourne wrote:
>> Can we guarantee that the 1.4 built version is bytecode compatable with 1.2?
>> Its not nice whichever way around you do it.
>> 
>> How about build under 1.4, then use the jar to run the test cases against
>> under 1.2?

>FWIW, I have done this both ways with current sources -- build w/ 1.4, 
>run tests using 1.2 and vice versa.  Both work for me. I also ran 
>1.4-compiled tests on 1.3 and that worked as well.  I did this earlier 

Please try the 1.3.1 JDK from blackdown as e.g. daedalus.apache.org. I have
had problems with 1.4 built jars from ibiblio (e.g. excalibur-components)
with this JDK. 

For Turbine, I've decided to make both JDK 1.3.1 and JDK 1.4.2 built
jars available.

	Regards
		Henning

-- 
Dipl.-Inf. (Univ.) Henning P. Schmiedehausen          INTERMETA GmbH
hps@intermeta.de        +49 9131 50 654 0   http://www.intermeta.de/

Java, perl, Solaris, Linux, xSP Consulting, Web Services 
freelance consultant -- Jakarta Turbine Development  -- hero for hire

"Dominate!! Dominate!! Eat your young and aggregate! I have grotty silicon!" 
      -- AOL CD when played backwards  (User Friendly - 200-10-15)

Mime
View raw message